#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

int sequence(unsigned long long n)
{
	int count = 0;
	while(n!=1)
	{
		if(n%2 == 0)
			n= n/2;
		else
			n = 3*n + 1;
		count++;
	}
	return count;
}

int main()
{
	vector<int> seq_size;
	for(unsigned long long n = 10000000; n > 0; n--)
	{
		seq_size.push_back(sequence(n));
	}
	cout << "Largest Sequence is of size " << *max_element(seq_size.begin(),seq_size.end()) << endl;
	cout << "Largest Sequence begins with " << 	10000000-distance(seq_size.begin(), max_element(seq_size.begin(),seq_size.end())) << endl;
	system("PAUSE");
	return 0;
}

